<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!-- This collection of hypertext pages is Copyright 1995, 1996 by Steve Summit. -->
<!-- This material may be freely redistributed and used -->
<!-- but may not be republished or sold without permission. -->
<html>
<head>
<link rev="owner" href="mailto:scs@eskimo.com">
<link rev="made" href="mailto:scs@eskimo.com">
<title>section 5.8: Initialization of Pointer Arrays</title>
<link href="sx8g.html" rev=precedes>
<link href="sx8i.html" rel=precedes>
<link href="sx8.html" rev=subdocument>
</head>
<body>
<H2>section 5.8: Initialization of Pointer Arrays</H2>

page 113
<p>This section is short and sweet,
and there are only two things I feel the need to comment on.
The sentence
``The characters of the <TT>i</TT>-th string are placed somewhere''
simply refers to the fact that
string literals always work that way
(except when they're used as array initializers,
as explained on page 104).
We don't really care where the characters are,
as long as we can keep hold of a pointer to them.
</p><p>The other thing to notice is that the <TT>month_name</TT> 
function does verify that its argument is valid.
If it didn't check <TT>n</TT> against the boundary values 1 and 12,
what would happen if we called <TT>month_name(123)</TT>?
</p><hr>
<p>
Read sequentially:
<a href="sx8g.html" rev=precedes>prev</a>
<a href="sx8i.html" rel=precedes>next</a>
<a href="sx8.html" rev=subdocument>up</a>
<a href="top.html">top</a>
</p>
<p>
This page by <a href="http://www.eskimo.com/~scs/">Steve Summit</a>
// <a href="copyright.html">Copyright</a> 1995, 1996
// <a href="mailto:scs@eskimo.com">mail feedback</a>
</p>
</body>
</html>
